メインコンテンツへスキップ
割り当てられたタスクに関する情報を取得するには、タスクのidを指定して APIを呼び出します。
curl -i -X GET "https://api.box.com/2.0/tasks/12345" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
await client.tasks.getTaskById(task.id!);
client.tasks.get_task_by_id(task.id)
await client.Tasks.GetTaskByIdAsync(taskId: NullableUtils.Unwrap(task.Id));
try await client.tasks.getTaskById(taskId: task.id!)
client.getTasks().getTaskById(task.getId())
BoxTask task = new BoxTask(api, "id");
BoxTask.Info info = task.getInfo();
task = client.task(task_id='12345').get()
print(f'Task ID is {task.id} and the type is {task.type}')
BoxTask task = await client.TasksManager.GetTaskAsync("11111");
client.tasks.get('11111')
 .then(task => {
  /* task -> {
   type: 'task',
   id: '11111',
   item: 
   { type: 'file',
    id: '22222',
    sequence_id: '0',
    etag: '0',
    sha1: '0bbd79a105c504f99573e3799756debba4c760cd',
    name: 'box-logo.png' },
   due_at: '2014-04-03T11:09:43-07:00',
   action: 'review',
   message: 'Please review for publication!',
   task_assignment_collection: { total_count: 0, entries: [] },
   is_completed: false,
   created_by: 
   { type: 'user',
    id: '33333',
    name: 'Example User',
    login: 'user@example.com' },
   created_at: '2013-04-03T11:12:54-07:00' }
  */
 });
最終更新日 2026年4月15日